Subject: Re: [PATCH] net: phy: marvell: add special handling of Finisar modules with 81E1111

From: Andrew Lunn <[email-masked]>
Date: Mon, 19 Oct 2020 23:06:54 +0200

On Mon, Oct 19, 2020 at 02:49:13PM -0600, Robert Hancock wrote:
> The Finisar FCLF8520P2BTL 1000BaseT SFP module uses a Marvel 81E1111 PHY
> with a modified PHY ID, and by default does not have 1000BaseX
> auto-negotiation enabled, which is not generally desirable with Linux
> networking drivers.

I could be wrong, but i thought phylink used SGMII with copper SFPs,
so that 10/100 works as well as 1G. So why is 1000BaseX an issue?
Do you have a MAC which cannot do SGMII, only 1000BaseX?

   Andrew